//
//  ProtoTableViewCell.swift
//  TableConcept
//
//  Created by Dimitar Shopovski on 2/8/21.
//

import UIKit

class TestTableViewCell: UITableViewCell {

    @IBOutlet weak var indicator: UIActivityIndicatorView!
    
    override func prepareForReuse() {
        super.prepareForReuse()
        configure(with: .none)
    }
    
    override func awakeFromNib() {
        super.awakeFromNib()
      
        indicator.hidesWhenStopped = true
        indicator.color = UIColor.red
    }
    
    func configure(with value: Int?) {
          if let value = value {
            textLabel?.text = "Dimas - \(value)"
            textLabel?.alpha = 1
            indicator.stopAnimating()
          } else {
            textLabel?.alpha = 0
            indicator.startAnimating()
          }
    }
}
